## org.apache.lucene.xmlparser.builders
Interface SpanQueryBuilder

All Superinterfaces:
  QueryBuilder

All Known Implementing Classes:
  BoostingTermBuilder, SpanBuilderBase, SpanFirstBuilder, SpanNearBuilder, SpanNotBuilder, SpanOrBuilder, SpanOrTermsBuilder, SpanQueryBuilderFactory, SpanTermBuilder

    public interface SpanQueryBuilder

extends QueryBuilder

Method Summary
`SpanQuery` `getSpanQuery(org.w3c.dom.Element e)`

Methods inherited from interface org.apache.lucene.xmlparser.QueryBuilder
`getQuery`

Method Detail

### getSpanQuery

    SpanQuery getSpanQuery(org.w3c.dom.Element e)
                           throws ParserException

  Throws:
    `ParserException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.